/*
 * RandomNumber.java
 * KIDware (206) 721-2556
 */
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.util.Random;

public class RandomNumber extends JFrame 
{
	
	static JTextField numberTextField = new JTextField();
	static JButton randomButton = new JButton();
	static Random myRandom = new Random();

  public static void main(String args[]) 
  {
  	//construct frame
    new RandomNumber().show();
  }

  public RandomNumber() 
  {
  	// code to build the form
    setTitle("Random Number Problem");
    addWindowListener(new WindowAdapter() 
    {
      public void windowClosing(WindowEvent e) 
      {
    		exitForm(e);
      }
    });
    getContentPane().setLayout(new GridBagLayout());
    
    // position controls (establish event methods)
    GridBagConstraints gridConstraints = new GridBagConstraints();
    numberTextField.setText("");
    numberTextField.setColumns(10);
    gridConstraints.gridx = 0;
    gridConstraints.gridy = 0;
    getContentPane().add(numberTextField, gridConstraints);
    
    randomButton.setText("Random Number");
    gridConstraints.gridx = 0;
    gridConstraints.gridy = 1;
    getContentPane().add(randomButton, gridConstraints);
    randomButton.addActionListener(new ActionListener()
    {
    	public void actionPerformed(ActionEvent e)
    	{
    		randomButtonActionPerformed(e);
    	}
    });
    pack();
	}
	
	private void randomButtonActionPerformed(ActionEvent e)
	{
		numberTextField.setText(String.valueOf(myRandom.nextInt(100) + 1));
	}

  private void exitForm(WindowEvent e)
  {
  	System.exit(0);
  }

}
