/*
 * Savings.java
 * KIDware (206) 721-2556
 */
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.text.*;

public class Savings extends JFrame 
{
	
	static JLabel depositLabel = new JLabel();
	static JLabel interestLabel = new JLabel();
	static JLabel monthsLabel = new JLabel();
	static JLabel finalLabel = new JLabel();
	static JTextField depositTextField = new JTextField();
	static JTextField interestTextField = new JTextField();
	static JTextField monthsTextField = new JTextField();
	static JTextField finalTextField = new JTextField();
	static JButton calculateButton = new JButton();
	static JButton exitButton = new JButton();

  public static void main(String args[]) 
  {
  	//construct frame
    new Savings().show();
  }

  public Savings() 
  {
  	// code to build the form
    setTitle("Savings Account");
    addWindowListener(new WindowAdapter() 
    {
      public void windowClosing(WindowEvent e) 
      {
    		exitForm(e);
      }
    });
    getContentPane().setLayout(new GridBagLayout());
    
   // position controls (establish event methods)
    GridBagConstraints gridConstraints = new GridBagConstraints();
    depositLabel.setText("Monthly Deposit");
 		gridConstraints.gridx = 0;
    gridConstraints.gridy = 0;
    getContentPane().add(depositLabel, gridConstraints);
    interestLabel.setText("Yearly Interest");
    gridConstraints.gridx = 0;
    gridConstraints.gridy = 1;
    getContentPane().add(interestLabel, gridConstraints);
    monthsLabel.setText("Number of Months");
    gridConstraints.gridx = 0;
    gridConstraints.gridy = 2;
    getContentPane().add(monthsLabel, gridConstraints);
    finalLabel.setText("Final Balance");
    gridConstraints.gridx = 0;
    gridConstraints.gridy = 3;
    getContentPane().add(finalLabel, gridConstraints);

    depositTextField.setText("");
    depositTextField.setColumns(10);
    gridConstraints.gridx = 2;
    gridConstraints.gridy = 0;
    getContentPane().add(depositTextField, gridConstraints);
    interestTextField.setText("");
    interestTextField.setColumns(10);
    gridConstraints.gridx = 2;
    gridConstraints.gridy = 1;
    getContentPane().add(interestTextField, gridConstraints);
    monthsTextField.setText("");
    monthsTextField.setColumns(10);
    gridConstraints.gridx = 2;
    gridConstraints.gridy = 2;
    getContentPane().add(monthsTextField, gridConstraints);
    finalTextField.setText("");
    finalTextField.setFocusable(false);
    finalTextField.setColumns(10);
    gridConstraints.gridx = 2;
    gridConstraints.gridy = 3;
    getContentPane().add(finalTextField, gridConstraints);
    
    calculateButton.setText("Calculate");
    gridConstraints.gridx = 1;
    gridConstraints.gridy = 4;
    getContentPane().add(calculateButton, gridConstraints);
    calculateButton.addActionListener(new ActionListener()
    {
    	public void actionPerformed(ActionEvent e)
    	{
    		calculateButtonActionPerformed(e);
    	}
    });
    exitButton.setText("Exit");
    exitButton.setFocusable(false);
    gridConstraints.gridx = 1;
    gridConstraints.gridy = 5;
    getContentPane().add(exitButton, gridConstraints);
    exitButton.addActionListener(new ActionListener()
    {
    	public void actionPerformed(ActionEvent e)
    	{
    		exitButtonActionPerformed(e);
    	}
    });
    pack();
	}
	
	private void calculateButtonActionPerformed(ActionEvent e)
	{
		double deposit;
		double interest;
		double months;
		double finalBalance;
		double monthlyInterest;
    // read values from text fields
    deposit = Double.valueOf(depositTextField.getText()).doubleValue();
    interest = Double.valueOf(interestTextField.getText()).doubleValue();
    monthlyInterest = interest / 1200;
    months = Double.valueOf(monthsTextField.getText()).doubleValue();
    // compute final value and put in text field;
    finalBalance = deposit * (Math.pow((1 + monthlyInterest), months) - 1) / monthlyInterest;
    finalTextField.setText(new DecimalFormat("0.00").format(finalBalance));
	}

	private void exitButtonActionPerformed(ActionEvent e)
	{
  	System.exit(0);
	}
	
  private void exitForm(WindowEvent e)
  {
  	System.exit(0);
  }

}
