/*
 * OddIntegers.java
 * KIDware (206) 721-2556
 */
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class OddIntegers extends JFrame 
{
	
  static JLabel targetLabel = new JLabel();
  static JLabel numberLabel = new JLabel();
  static JLabel actualLabel = new JLabel();
  static JTextField targetTextField = new JTextField();
  static JTextField numberTextField = new JTextField();
  static JTextField actualTextField = new JTextField();
  static JButton sumButton = new JButton();

  public static void main(String args[]) 
  {
  	//construct frame
    new OddIntegers().show();
  }

  public OddIntegers() 
  {
  	// code to build the form
    setTitle("Odd Integers Problem");
    addWindowListener(new WindowAdapter() 
    {
      public void windowClosing(WindowEvent e) 
      {
    		exitForm(e);
      }
    });
    getContentPane().setLayout(new GridBagLayout());
    
   // position controls (establish event methods)
    GridBagConstraints gridConstraints = new GridBagConstraints();
    targetLabel.setText("Target Sum");
    gridConstraints.gridx = 0;
    gridConstraints.gridy = 0;
    getContentPane().add(targetLabel, gridConstraints);
    numberLabel.setText("Number of Integers");
    gridConstraints.gridx = 0;
    gridConstraints.gridy = 1;
    getContentPane().add(numberLabel, gridConstraints);
    actualLabel.setText("Sum");
    gridConstraints.gridx = 0;
    gridConstraints.gridy = 2;
    getContentPane().add(actualLabel, gridConstraints);
    targetTextField.setText("");
    targetTextField.setColumns(15);
    gridConstraints.gridx = 1;
    gridConstraints.gridy = 0;
    getContentPane().add(targetTextField, gridConstraints);
    numberTextField.setText("");
    numberTextField.setColumns(15);
    gridConstraints.gridx = 1;
    gridConstraints.gridy = 1;
    getContentPane().add(numberTextField, gridConstraints);
    actualTextField.setText("");
    actualTextField.setColumns(15);
    gridConstraints.gridx = 1;
    gridConstraints.gridy = 2;
    getContentPane().add(actualTextField, gridConstraints);
    sumButton.setText("Sum Integers");
    gridConstraints.gridx = 1;
    gridConstraints.gridy = 3;
    getContentPane().add(sumButton, gridConstraints);
    sumButton.addActionListener(new ActionListener()
    {
    	public void actionPerformed(ActionEvent e)
    	{
    		sumButtonActionPerformed(e);
    	}
    });
    pack();
	}
	
	private void sumButtonActionPerformed(ActionEvent e)
	{
		int numberIntegers = 1;
    int currentInteger = 1;
    int targetSum;
    int sum = 1;
    targetSum = Integer.valueOf(targetTextField.getText()).intValue();
    while (sum < targetSum)
    {
      // get next integer and add to sum
      numberIntegers += 1;
      currentInteger += 2;
      sum += currentInteger;
  	}
    numberTextField.setText(String.valueOf(numberIntegers));
    actualTextField.setText(String.valueOf(sum));
	}

  private void exitForm(WindowEvent e)
  {
  	System.exit(0);
  }

}
